################################################################################
# Имя модуля
################################################################################
TARGET = spi_3st

################################################################################
# Конфигурация переменных для ядреного Makefile
################################################################################
# текущая директория
PWD          = $(shell pwd)
# версия ядра на машине сборки
CURRENT      = $(shell uname -r)
# директория с исходниками ядра и Makefile'ом для сборки
KDIR         = /lib/modules/$(CURRENT)/build
# Если переменная KERNELRELEASE не определена - мы не в директории ядра, и 
# нужно указать путь до директории с исходниками
ifeq ($(KERNELRELEASE),)
#    KDIR = /...
endif

# директория в которой ядро ищет модули для автозагрузки
DEST         = /lib/modules/$(CURRENT)/kernel/$(MDIR)

# объектный файл цели
obj-m        = $(TARGET).o
# директория с исходниками
DIR_OBJ      = src


################################################################################
# Список объектных файлов проекта
################################################################################

$(TARGET)-y := $(DIR_OBJ)/$(TARGET).o

################################################################################
# Цели
################################################################################
all:	my_build
	-rm -r -f $(DIR_OBJ)/*.o*
	
my_build:
	$(MAKE) -C $(KDIR) ARCH=arm M=$(CURDIR)
clean:
	-rm -r -f \
        *.o\
        *.ko\
        .*.cmd\
        .*.flags\
        *.mod.c\
        modules.order\
        Module.symvers\
        .tmp_versions

ifneq (,$(findstring 2.4.,$(CURRENT)))
install:
	@echo "INFO: runing 2.4 kernel install mode"
	su -c "cp -v $(obj-m) $(DEST) && /sbin/depmod -a"
else
install:
	@echo "INFO: runing normal install mode"
	$(MAKE) -C $(KDIR) M=`pwd` modules_install
	su -c "/sbin/depmod -a"
endif

-include $(KDIR)/Rules.make
